<template>
  <DefaultLayout>
    <IntroBlock
      :placeholder="placeholder"
      page-title="page_titles.contact"
    />
    <p id="contact-intro">
      {{ $t('home.message_content') }}
    </p>
    <div id="form-wrapper">
      <form
        id="contact-form"
        name="contact"
        method="POST"
        action="https://formspree.io/f/mjvpeekw"
        novalidate
        @submit="checkForm"
      >
        <div class="hpot">
          <label>Gotcha! <input name="_gotcha"></label>
        </div>
        <p>
          <label
            for="name"
            class="required-field"
          >
            {{ $t('contact.your_name') }}
          </label>
          <br>
          <input
            id="name"
            v-model="name"
            type="text"
            name="name"
          >
        </p>
        <p>
          <label
            for="email"
            class="required-field"
          >
            {{ $t('contact.your_email') }}
          </label>
          <br>
          <input
            id="email"
            v-model="email"
            type="email"
            name="email"
          >
        </p>
        <p>
          <label
            for="message"
            class="required-field"
          >
            {{ $t('contact.message') }}
          </label>
          <br>
          <textarea
            id="message"
            v-model="message"
            name="message"
            rows="8"
          />
        </p>
        <input
          type="hidden"
          name="_subject"
          value="New submission from contact form"
        >
        <div
          v-if="errors.length"
          class="error-message"
        >
          <p>
            <span class="emphasis">{{ $t('contact.error_message') }}</span>
          </p>
          <ul class="decorated-list">
            <li v-for="error in errors">
              {{ error }}
            </li>
          </ul>
        </div>
        <button
          id="send-button"
          class="gradient-button blue-teal-blue-gradient"
          type="submit"
        >
          {{ $t('contact.send') }}
        </button>
      </form>
    </div>
  </DefaultLayout>
</template>

<script src="../scripts/views/contact.js"/>
<style lang="scss" src="../styles/views/contact.scss"/>
